#ifndef _ENNA_MEDIAPLAYER_H
#define _ENNA_MEDIAPLAYER_H

#include "enna.h"

typedef struct _Enna_Media_Infos Enna_Media_Infos;
typedef struct _Enna_Playlist_Element Enna_Playlist_Element;
typedef struct _Enna_Playlist Enna_Playlist;

#define   ENNA_MEDIA_MUSIC 0x01
#define   ENNA_MEDIA_VIDEO 0x02
#define   ENNA_MEDIA_PHOTO 0x04
/*
 Title 	 %{title} 	 %t
Artist 	%{artist} 	%a
Track Number 	%{number} 	%n
Comment 	%{comment} 	%c
Year 	%{year} 	%y
Genre 	%{genre} 	%g
Album Title 	%{albumtitle} 	%T
Album Artist 	%{albumartist} 	%A
Number of tracks on album 	%{tracks} 	%N
Album Comment 	%{albumcomment} 	%C
Album Year 	%{albumyear} 	%Y
Album Genre 	%{albumgenre} 	%G

File Attributes (when using outside tools to tell them more information about the file not related to the track)
File Name 	%{file} 	%f
File Path 	%{filepath} 	%p
File Type Extension 	%{extension} 	%e
*/

struct _Enna_Playlist_Element
{
  char         *filename;
  unsigned int media_type;
  char         *artist;
  char         *album;
  char         *title;
  int          track;
  int          nb_tracks;
  char         *genre;
  char         *comment;
  int          *year;
  int          duration;
  int          size;
};
  
struct _Enna_Playlist
{
  char *name;
  int  nb_elements;
  int size;
  int duration;
  Ecore_List *elements;
  int selected;
};

struct _Enna_Media_Infos
  {
    char *artist;
    char *album;
    char *title;
    char *thumb;
  };

EAPI Evas_Object * enna_mediaplayer_add(Evas *evas);
EAPI int enna_mediaplayer_has_focus_get(Evas_Object *obj);
EAPI Enna_Playlist *enna_mediaplayer_playlist_get(Evas_Object *obj, char *name);
/* Add Directory entry to Album playlist and select filename in this directory*/
EAPI void enna_mediaplayer_album_add(Evas_Object *obj, char *directory, char *filename, char *filter);
/* Play current album playlist */
EAPI void enna_mediaplayer_album_play(Evas_Object *obj);
/* Create CDDA playlist */
EAPI void enna_mediaplayer_cdda_add(Evas_Object *obj, char *device, int nb_tracks, int selected);
EAPI void enna_mediaplayer_radio_add(Evas_Object *obj, char *directory, char *filename, char *filter);
/* Play current Playlist */
EAPI int enna_mediaplayer_playlist_play(Evas_Object *obj);
EAPI void enna_mediaplayer_playlist_destroy(Evas_Object *obj, char *name);
EAPI int enna_mediaplayer_playlist_goto_id(Evas_Object *obj, unsigned int id);
EAPI int enna_mediaplayer_play(Evas_Object* obj);
EAPI void enna_mediaplayer_process_event(Evas_Object *obj, enna_event event);
EAPI int enna_mediaplayer_playlist_add(Evas_Object* obj, char* filename);

/* Miniplayer (main menu) */
EAPI Evas_Object *enna_mediaplayer_menu_get(Evas_Object* obj);

#endif

